Fedora Packages

nodejs-16.14.0-2.fc36 in Fedora 36

↵ Return to the main page of nodejs
View build
Search for updates

Package Info (Data from x86_64 build)
🠗 Changelog
🠗 Dependencies
🠗 Provides
🠗 Files

Changelog

Date Author Change
2022-02-09 Zuzana Svetlikova <zsvetlik at redhat dot com> - 1:16.14.0-2 - Replace explicit version of npm in %check with variable and make build fail if it doesn't match
2022-02-08 Stephen Gallagher <sgallagh at redhat dot com> - 1:16.14.0-1 - Update to Node.js 16.14.0
2022-02-03 Stephen Gallagher <sgallagh at redhat dot com> - 1:16.13.2-8 - Update npm to 8.3.1 (CVE-2021-43616)
2022-02-02 Stephen Gallagher <sgallagh at redhat dot com> - 1:16.13.2-7 - Fix incorrect version Provides: for npm (bz#2049873)
2022-01-31 Stephen Gallagher <sgallagh at redhat dot com> - 1:16.13.2-6 - Rebuild for more architectures
2022-01-31 Stephen Gallagher <sgallagh at redhat dot com> - 1:16.13.2-5 - Tweak some dependencies on EPEL 7 (bz2048589) - Add Provides: bundled(zlib)
2022-01-19 Stephen Gallagher <sgallagh at redhat dot com> - 1:16.13.2-3 - Bundle zlib on EPEL 7
2022-01-17 Stephen Gallagher <sgallagh at redhat dot com> - 1:16.13.2-2 - Add support for building on EPEL 7
2022-01-11 Stephen Gallagher <sgallagh at redhat dot com> - 1:16.13.2-1 - Improper handling of URI Subject Alternative Names (Medium)(CVE-2021-44531) - Certificate Verification Bypass via String Injection (Medium)(CVE-2021-44532) - Incorrect handling of certificate subject and issuer fields (Medium)(CVE-2021-44533) - Prototype pollution via `console.table` properties (Low)(CVE-2022-21824)
2021-12-02 Stephen Gallagher <sgallagh at redhat dot com> - 1:16.13.1-2 - Enable building for EPEL 8 modules

Provides

  • bundled(c-ares)
  • bundled(corepack)
  • bundled(histogram)
  • bundled(icu)
  • bundled(llhttp)
  • bundled(uvwasi)
  • bundled(v8)
  • nodejs
  • nodejs(abi)
  • nodejs(abi16)
  • nodejs(engine)
  • nodejs(x86-64)
  • nodejs-punycode
  • npm(corepack)
  • npm(punycode)

Files


Sources on Pagure